\documentclass[tikz]{standalone}
\pagenumbering{gobble}
\usepackage{gitdags}

\begin{document}

\begin{tikzpicture}
  \gitDAG[grow right sep = 2em]{
    A -- B -- { C, D -- E }
  };
  \gitbranch{master}{above=of C}{C}
  \gitbranch{frobnicate}{below=of E}{E}
  \gitHEAD{above=of master}{master}
\end{tikzpicture}

\end{document}
